import { NgZone, Type } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { ReduxRootState } from './interfaces/redux-root-state.interface';
import { ReduxStateProvider } from './providers/redux-state.provider';
export declare class ReduxSelector<T> extends ReplaySubject<T> {
    private static readonly DELIMITER;
    constructor(zone: NgZone, selector?: string, stateProvider?: Type<ReduxStateProvider>);
    static normalize(selector: string, stateProvider?: Type<ReduxStateProvider>): string;
    static getValueByState<S>(state: ReduxRootState<S>, selector: string, stateProvider?: Type<ReduxStateProvider>): S;
}
